:PROPERTIES:
:ID:       d2f9cefd-3e01-440a-a71b-b201edb3c619
:mtime:    20220605213208
:ctime:    20220604134309
:END:
#+title: Vale

* Introduction
/Vale/ est un outil de vérification de texte 100% offline.

* Installation (ubuntu)
#+BEGIN_SRC shell :results output
CONFIG_ROOT=${HOME}

snap install vale --edge

# Téléchargement de la configuration
cd "${CONFIG_ROOT}"
git clone http://git.adrien.run/Adrien/vale-config.git
#+END_SRC

** Intégration avec Emacs
Patch de /flycheck-vale/ afin de gérer le chemin vers le fichier de configuration de /vale/ : [[https://git.adrien.run/Adrien/flycheck-vale][flycheck-vale]]

* Références
 * [[https://vale.sh/][Vale.sh]]
